---
title: "v1 Pull and acknowledge messages from a queue"
slug: "pull-and-acknowledge-messages-from-a-queue"
updated: 2024-03-26T16:37:23Z
published: 2024-03-26T16:37:23Z
canonical: "help.rapididentity.com/pull-and-acknowledge-messages-from-a-queue"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://help.rapididentity.com/llms.txt
> Use this file to discover all available pages before exploring further.
# v1 Pull and acknowledge messages from a queue
Post/v1/tenants/{tenantId}/projects/{projectId}/subscriptions/{sub}:pull
Pull and acknowledge messages from a queue
SecurityAPI KeyHeader parameter nameAuthorization
AWS Cognito Authorizer. Since there are no custom scopes the ID Token must be used for authorization
Path parameterstenantIdstringRequired
The RapidIdentity Cloud tenant id
projectIdstringRequired
The project id this service belongs. MUST be builtin or custom
substringRequired
The queue name.
Body parameters
The number of messages to pull from the queue.
maxMessagesExample
Retrieving up to 5 messages from queue
```json
{
"maxMessages": 5
}
```
objectmaxMessagesinteger Required
The maximum number of messages to return from this request. Must be a positive integer. The Pub/Sub system may return fewer than the number specified
Responses200
An array of messages from the queue or nil
Expand AllOneOfPullSuccessBodyreceivedMessages Array of object (PubsubMessageV1) objectdatastring
messageIdstring
publishTimestring
SuccessBodysuccessstring
PullLogSuccessBodyreceivedMessages Array of objectobject
400
Body is not present or formatted incorrectly
objecterrorstring
403
The request is not authorized. Check that an api key exists and that the api key is valid for the tenantId
objecterrorstring
500
Unable to retrieve queue as name does not exist
objecterrorstring
501
The request does not have a projectId of custom or builtin
objecterrorstring
503
Unable to connect to pubsub service
objecterrorstring